Version 5.x hardware requirements